import Vue from 'vue'
import Router from 'vue-router'
import login from '@/components/login'
import getproject from '@/components/getproject'
import saleindex from '@/components/saleindex'
import getoverduesummary from '@/components/GetOverDueSummary'
import getremindsigncontract from '@/components/getremindsigncontract'
import getremindbuycontract from '@/components/getremindbuycontract'
import getremindvisit from '@/components/getremindvisit'
import getremindarrearage from '@/components/getremindarrearage'
import gettodaytodosummary from '@/components/gettodaytodosummary'
import getsabuildingselectlist from '@/components/getsabuildingselectlist'
import getsabuildingstruct from '@/components/getsabuildingstruct'
import getsaroominfo from '@/components/getsaroominfo'
import getsaclientcontactlist from '@/components/getsaclientcontactlist'
import getsaclientcontactinfo from '@/components/getsaclientcontactinfo'
import getsaclientsummary from '@/components/getsaclientsummary'
import getsaclientsummarylist from '@/components/getsaclientsummarylist'
import filterhouse from '@/components/filterhouse'
import getsaroomlist from '@/components/getsaroomlist'
import clientdetail from '@/components/clientdetail'
import addsaclientcontact from '@/components/addsaclientcontact'
import saclientmodify from '@/components/saclientmodify'
import getsaclientlist from '@/components/getsaclientlist'
import addsaclient from '@/components/addsaclient'
import getremindsigncontracttoday from '@/components/getremindsigncontracttoday'
import getremindbuycontracttoday from '@/components/getremindbuycontracttoday'
import getremindarrearagetoday from '@/components/getremindarrearagetoday'
import getremindvisittoday from '@/components/getremindvisittoday'
import getremindallocation from '@/components/getremindallocation'
import filterclient from '@/components/filterclient'
import getsaclientlist1 from '@/components/getsaclientlist1'
Vue.use(Router)
//console.info("获取根目录", window.location.pathname);
let baseUrl='/'   //base默认值是/ ,若要支持二级虚拟目录。需要设置为 /h5/这种形式。表示该vue项目放入h5虚拟目录下
//console.info("base", Router.base);
export default new Router({
  mode:'history',
  base:baseUrl,
  routes: [
    {    //登录页
      path: '/',
      name: 'login',
      component: login
    },
    {     //项目选项
      path: '/getproject',
      name: 'getproject',
      component: getproject
    },
    {     //销售首页
      path: '/saleindex',
      name: 'saleindex',
      component: saleindex
    },
    {     //逾期提醒
      path: '/getoverduesummary',
      name: 'getoverduesummary',
      component: getoverduesummary
    },
    {     //逾期待签约客户
      path: '/getremindsigncontract',
      name: 'getremindsigncontract',
      component: getremindsigncontract
    },
    {     //逾期待认购客户
      path: '/getremindbuycontract',
      name: 'getremindbuycontract',
      component: getremindbuycontract
    },
    {     //逾期待回访客户
      path: '/getremindvisit',
      name: 'getremindvisit',
      component: getremindvisit
    },
    {     //逾期待缴款客户
      path: '/getremindarrearage',
      name: 'getremindarrearage',
      component: getremindarrearage
    },
    {     //催办
      path: '/gettodaytodosummary',
      name: 'gettodaytodosummary',
      component: gettodaytodosummary
    },
    {     //楼栋
      path: '/getsabuildingselectlist',
      name: 'getsabuildingselectlist',
      component: getsabuildingselectlist
    },
    {     //楼栋详情
      path: '/getsabuildingstruct',
      name: 'getsabuildingstruct',
      component: getsabuildingstruct
    },
   
    {     //房源信息
      path: '/getsaroominfo',
      name: 'getsaroominfo',
      component: getsaroominfo
    },
    {     //联系记录
      path: '/getsaclientcontactlist',
      name: 'getsaclientcontactlist',
      component: getsaclientcontactlist
    },
    {     //联系记录详情
      path: '/getsaclientcontactinfo',
      name: 'getsaclientcontactinfo',
      component: getsaclientcontactinfo
    },
    {     //客户分类汇总
      path: '/getsaclientsummary',
      name: 'getsaclientsummary',
      component: getsaclientsummary
    },
    {     //客户分类清单
      path: '/getsaclientsummarylist',
      name: 'getsaclientsummarylist',
      component: getsaclientsummarylist
    },
    {     //筛选房源
      path: '/filterhouse',
      name: 'filterhouse',
      component: filterhouse
    },
    {     //房源查询
      path: '/getsaroomlist',
      name: 'getsaroomlist',
      component: getsaroomlist
    },
    {     //客户详情
      path: '/clientdetail',
      name: 'clientdetail',
      component: clientdetail
    },
    {     //新增客户跟进
      path: '/addsaclientcontact',
      name: 'addsaclientcontact',
      component: addsaclientcontact
    },
    {     //客户修改
      path: '/saclientmodify',
      name: 'saclientmodify',
      component: saclientmodify
    },
    {     //客户查询
      path: '/getsaclientlist',
      name: 'getsaclientlist',
      component: getsaclientlist
    },
    {     //添加客户
      path: '/addsaclient',
      name: 'addsaclient',
      component: addsaclient
    },
    {     //今日待签约客户
      path: '/getremindsigncontracttoday',
      name: 'getremindsigncontracttoday',
      component: getremindsigncontracttoday
    },
    {     //今日待认购客户
      path: '/getremindbuycontracttoday',
      name: 'getremindbuycontracttoday',
      component: getremindbuycontracttoday
    },
    {     //今日待缴款客户
      path: '/getremindarrearagetoday',
      name: 'getremindarrearagetoday',
      component: getremindarrearagetoday
    },
    {     //今日待回访客户
      path: '/getremindvisittoday',
      name: 'getremindvisittoday',
      component: getremindvisittoday
    },
    {     //新分配到的客户
      path: '/getremindallocation',
      name: 'getremindallocation',
      component: getremindallocation
    },
    {     //筛选客户
      path: '/filterclient',
      name: 'filterclient',
      component: filterclient
    },
    {     //客户查询
      path: '/getsaclientlist1',
      name: 'getsaclientlist1',
      component: getsaclientlist1
    },
  ]
})
